# `abacusai.model_artifacts_export`

## Module Contents

### Classes

`ModelArtifactsExport` | A Model Artifacts Export Job

class abacusai.model_artifacts_export.ModelArtifactsExport(client, modelArtifactsExportId=None, modelVersion=None, outputLocation=None, status=None, createdAt=None, exportCompletedAt=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A Model Artifacts Export Job

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - modelArtifactsExportId (str) – Unique identifier for this export.

    - modelVersion (str) – Version of the model being exported.

    - outputLocation (str) – File Connector location the feature group is being written to.

    - status (str) – Current status of the export.

    - createdAt (str) – Timestamp at which the export was created (ISO-8601 format).

    - exportCompletedAt (str) – Timestamp at which the export completed (ISO-8601 format).

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  refresh()

    Calls describe and refreshes the current object’s fields

    Returns:

      The current object

    Return type:

      ModelArtifactsExport

  describe()

    Get the description and status of the model artifacts export.

    Parameters:

      model_artifacts_export_id (str) – A unique string identifier for the export.

    Returns:

      Object describing the export and its status.

    Return type:

      ModelArtifactsExport

  wait_for_results(timeout=3600)

    A waiting call until model artifacts export is created.

    Parameters:

      timeout (int, optional) – The waiting time given to the call to finish, if it doesn’t finish by the allocated time, the call is said to be timed out.

  get_status()

    Gets the status of the model artifacts export.

    Returns:

      A string describing the status of a model artifacts export (pending, complete, etc.).

    Return type:

      str